@import 'https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap';

.app-body{
    width: 100%;
}

::-webkit-scrollbar
{
    width: 8px;  /* for vertical scrollbars */
    height: 3px; /* for horizontal scrollbars */
}

::-webkit-scrollbar-track
{
    background: rgba(0, 0, 0, 0.1);
}

::-webkit-scrollbar-thumb
{
    background: rgb(245 185 25);
}

.ck-editor__editable,
textarea {
    min-height: 150px;
}

.datatable {
    width: 100% !important;
}

.dataTables_length,
.dataTables_filter,
.dt-buttons {
    margin-bottom: 0.333em;
    margin-top: .2rem;
}

.dataTables_filter {
    margin-right: .2rem;
}

.dt-buttons .btn {
    margin-left: 0.333em;
    border-radius: 0;
}

.table.datatable {
    box-sizing: border-box;
    border-collapse: collapse;
}

table.dataTable thead th {
    border-bottom: 2px solid #c8ced3;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 1px solid #c8ced3;
}

.select2 {
    max-width: 100%;
    width: 100% !important;
}

.select2-selection__rendered {
    padding-bottom: 5px !important;
}

.has-error .invalid-feedback {
    display: block !important;
}

.btn-info,
.badge-info {
    color: white;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc {
    background-image: none;
}

.sidebar .nav-item {
    cursor: pointer;
}

.btn-default {
    color: #23282c;
    background-color: #f0f3f5;
    border-color: #f0f3f5;
}

.btn-default.focus,
.btn-default:focus {
    box-shadow: 0 0 0 .2rem rgba(209, 213, 215, .5);
}

.btn-default:hover {
    color: #23282c;
    background-color: #d9e1e6;
    border-color: #d1dbe1;
}

.btn-group-xs > .btn,
.btn-xs {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.searchable-title {
    font-weight: bold;
}
.searchable-fields {
    padding-left:5px;
}
.searchable-link {
    padding:0 5px 0 5px;
}
.searchable-link:hover   {
    cursor: pointer;
    background: #eaeaea;
}
.select2-results__option {
    padding-left: 0px;
    padding-right: 0px;
}



/*login-page*/

.logo-login{
    width: 35%;
}

.app,
app-dashboard,
app-root {
    display: -webkit-box !important;
}

.center {
    top: 50% !important;
    left: 50% !important;
    position: fixed !important;
    width: 275px !important;
    height: 550px !important;
    display: inline-block;
    transform: translate(-50%, -50%);
    overflow: hidden;
    background-image: linear-gradient(to top right, hsl(44deg 95% 28%), hsl(44deg 92% 53%));
}
@media screen and (max-height: 500px) {
    .center {
        transition: transform 0.5s;
        transform: translate(-50%, -50%) scale(0.8);
    }
}
.center .ear {
    position: absolute;
    top: -110px;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background-color: #243946;
}
.center .ear.ear--left {
    left: -135px;
}
.center .ear.ear--right {
    right: -135px;
}
.center .face {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 200px;
    height: 150px;
    margin: 80px auto 10px;
    --rotate-head: 0deg;
    transform: rotate(var(--rotate-head));
    transition: transform 0.2s;
    transform-origin: center 20px;
}
.center .eye {
    display: inline-block;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background-color: #243946;
}
.center .eye.eye--left {
    margin-right: 40px;
}
.center .eye.eye--right {
    margin-left: 40px;
}
.center .eye .glow {
    position: relative;
    top: 3px;
    right: -12px;
    width: 12px;
    height: 6px;
    border-radius: 50%;
    background-color: #fff;
    transform: rotate(38deg);
}
.center .nose {
    position: relative;
    top: 30px;
    transform: scale(1.1);
}
.center .nose .glow {
    position: absolute;
    top: 3px;
    left: 32%;
    width: 15px;
    height: 8px;
    border-radius: 50%;
    background-color: #476375;
}
.center .mouth {
    position: relative;
    margin-top: 45px;
}
.center svg.smile {
    position: absolute;
    left: -28px;
    top: -19px;
    transform: scaleX(1.1);
    stroke: #243946;
}
.center .mouth-hole {
    position: absolute;
    top: 0;
    left: -50%;
    width: 60px;
    height: 15px;
    border-radius: 50%/100% 100% 0% 0;
    transform: rotate(180deg);
    background-color: #243946;
    z-index: -1;
}
.center .tongue {
    position: relative;
    top: 5px;
    width: 30px;
    height: 20px;
    background-color: #ffd7dd;
    transform-origin: top;
    transform: rotateX(60deg);
}
.center .tongue.breath {
    -webkit-animation: breath 0.3s infinite linear;
    animation: breath 0.3s infinite linear;
}
.center .tongue-top {
    position: absolute;
    bottom: -15px;
    width: 30px;
    height: 30px;
    border-radius: 15px;
    background-color: #ffd7dd;
}
.center .line {
    position: absolute;
    top: 0;
    width: 30px;
    height: 5px;
    background-color: #fcb7bf;
}
.center .median {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 4px;
    height: 25px;
    border-radius: 5px;
    background-color: #fcb7bf;
}
.center .hands {
    position: relative;
}
.center .hands .hand {
    position: absolute;
    top: -6px;
    display: flex;
    transition: transform 0.5s ease-in-out;
    z-index: 1;
}
.center .hands .hand--left {
    left: 50px;
}
.center .hands .hand--left.hide {
    transform: translate(2px, -155px) rotate(-160deg);
}
.center .hands .hand--left.peek {
    transform: translate(0px, -120px) rotate(-160deg);
}
.center .hands .hand--right {
    left: 170px;
}
.center .hands .hand--right.hide {
    transform: translate(-6px, -155px) rotate(160deg);
}
.center .hands .hand--right.peek {
    transform: translate(-4px, -120px) rotate(160deg);
}
.center .hands .finger {
    position: relative;
    z-index: 0;
}
.center .hands .finger .bone {
    width: 20px;
    height: 20px;
    border: 2px solid #243946;
    border-bottom: none;
    border-top: none;
    background-color: #fac555;
}
.center .hands .finger .nail {
    position: absolute;
    left: 0;
    top: 10px;
    width: 20px;
    height: 18px;
    border-radius: 50%;
    border: 2px solid #243946;
    background-color: #fac555;
    z-index: -1;
}
.center .hands .finger:nth-child(1),
.center .hands .finger:nth-child(3) {
    left: 4px;
    z-index: 1;
}
.center .hands .finger:nth-child(1) .bone,
.center .hands .finger:nth-child(3) .bone {
    height: 10px;
}
.center .hands .finger:nth-child(3) {
    left: -4px;
}
.center .hands .finger:nth-child(2) {
    top: -5px;
    z-index: 2;
}
.center .hands .finger:nth-child(1) .nail,
.center .hands .finger:nth-child(3) .nail {
    top: 0px;
}
.center .login {
    position: relative;
    display: flex;
    flex-direction: column;
}
.center .login label {
    position: relative;
    padding: 0 20px;
}
.center .login label .fa {
    position: absolute;
    top: 40%;
    left: 35px;
    color: #bbb;
}
.center .login label .fa:before {
    position: relative;
    left: 1px;
}
.center .login input,
.center .login .login-button {
    width: 100%;
    height: 35px;
    border: none;
    border-radius: 30px;
}
.center .login input {
    padding: 0 40px 0 40px;
    margin: 5px 0;
    box-shadow: none;
    outline: none;
}
.center .login input::-moz-placeholder {
    color: #ccc;
}
.center .login input:-ms-input-placeholder {
    color: #ccc;
}
.center .login input::placeholder {
    color: #ccc;
}
.center .login input.password {
    padding: 0 90px 0 40px;
}
.center .login .password-button {
    position: absolute;
    top: 9px;
    right: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 27px;
    border-radius: 30px;
    border: none;
    outline: none;
    background-color: #243946;
    color: #fff;
}
.center .login .password-button:active {
    transform: scale(0.95);
}
.center .login .login-button {
    width: calc(100% - 40px);
    margin: 20px 20px 0;
    outline: none;
    background-color: #243946;
    color: #fff;
    transition: transform 0.1s;
}
.center .login .login-button:active {
    transform: scale(0.95);
}
.center .social-buttons {
    display: flex;
    justify-content: center;
    margin-top: 25px;
}
.center .social-buttons .social {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    margin: 0 10px;
    border-radius: 50%;
    background-color: #243946;
    color: #fff;
    font-size: 18px;
}
.center .social-buttons .social:active {
    transform: scale(0.95);
}
.center .footer {
    text-align: center;
    margin-top: 15px;
}
@-webkit-keyframes breath {
    0%, 100% {
        transform: rotateX(0deg);
    }
    50% {
        transform: rotateX(60deg);
    }
}
@keyframes breath {
    0%, 100% {
        transform: rotateX(0deg);
    }
    50% {
        transform: rotateX(60deg);
    }
}

/*end login-page*/

/*Header And Menu*/


.icons-color{
    color: hsl(44deg 92% 52%) !important;
    font-size: 1.875rem !important;
}



.headerstyle{

    display: flex;
    flex-direction: row;
    align-items: center;
    overflow: hidden;
    background-color: hsl(0deg 0% 100%) !important;


}


.sidebar .nav-link {
    display: block;
    /* background-color: hsl(0deg 0% 100%) !important; */
    width: 100%;
    height: 90px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.sidebar ul nav-link.active {
    background-color: hsl(220deg 96% 57% / 10%);
    border-radius: 3px;
}


.sidebar .sidebar-nav{

    width: 218px;
}

.body li{
    transition: 1s all;
    font-family:poppins,sans-serif;
    font-size: 18px;
    padding: 15px;
    margin-left: -40px;
    margin-top: 0px;
    color: #fff;
    list-style: none;
    display: block;
    border-top-right-radius: 10px 10px;
    border-bottom-right-radius: 10px 10px;
}

li:hover{
    transition: 1s all;
    color: #2f89fc;
    background-color: rgba(42, 56, 65, 0.82);
    border-top-right-radius: 10px 10px;
    border-bottom-right-radius: 10px 10px;
    cursor: pointer;
}

.body > li{
    float: left;
}

.body li ul{
    margin-left: 280px;
    margin-top: -38px;
    display: none;
    border-top-right-radius: 15px 15px;
    border-bottom-right-radius: 15px 15px;
}

.body li:hover > ul{
    display: block;
    cursor: pointer;
}


.sidebar-nav{
    width: 300px;
    height: 420px;
    background-color: #1E2B32;
    border-radius: 10px 10px;


}

.menuNameColor{
    /* color: hsl(198deg 75% 51%) !important; */
    text-align: center
}

/*END Header And Menu*/

/*Card*/
.card{
    background: hsl(0deg 0% 100%);
    margin-bottom: 30px;
    border-radius: 8px;
    border: 1px solid hsl(0deg 0% 88%);
    box-shadow: 0 0 4px rgba(0,0,0,0.4);
}

.card-header{
    text-align: center;
    background: hsl(0deg 0% 100%);
    font-family:poppins,sans-serif;
    font-weight: bold;
    font-size: large;
}

/*EndCard*/

.dropdown-item {
    color: white;
}
.dropdown-item:focus, .dropdown-item:hover {
    color: white !important;
    text-decoration: none;
    background-color: rgba(255, 255, 255, 0.1);
}

.dropdown-menu {
    background: #545b62;
}


.btn{
    border-radius: 5px !important;
}






























/*-----------------
	Header
-----------------------*/

.sticky-header {
    position: sticky;
    top: 0;
    z-index: 999;
}
.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header .user-img {
    width: 30px;
    height: 30px;
    border-radius: 50px;
    margin-right: 10px;
}
.header p {
    font-size: 15px;
    font-weight: 600;
    padding-top: 18px;
}
.header ul {
    padding: 0;
    margin: 0;
    /*display: flex;*/
    align-items: center;
    justify-content: center;
}
.header ul li {
    margin-left: 25px;
}
.header ul li a {
    color: #f5b916;
    display: flex;
    align-items: center;
    justify-content: center;
}
.noti-icon {
    background-color: #FF4E4A;
    width: 25px;
    height: 25px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.noti-icon span {
    font-size: 14px;
    color: #fff;
}
.add-apt {
    border: 0;
    background: transparent;
}
.add-apt .material-icons {
    color: #f5b916;
}
.add-ap-text {
    color: #180071;
    font-weight: 500;
}

@media (min-width: 992px){
    .header-fixed .app-header {
        position: fixed;
        width: 100%;
        overflow: inherit;
    }
}
@media (min-width: 992px){
    html:not([dir=rtl]) .sidebar-lg-show .sidebar, html:not([dir=rtl]) .sidebar-show .sidebar {
        margin-left: 0;
        z-index: 99;
    }
}


/*-----------------
 */



.modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1rem 1rem;
    border-bottom: 1px solid hsl(210deg 14% 89%);
    border-top-left-radius: calc(0.3rem - 1px);
    border-top-right-radius: calc(0.3rem - 1px);
}



.app-header , .sidebar{
    font-family:poppins,sans-serif;
    font-size: 0.9375rem;
    line-height: 1.5;
    font-weight: bold;
}

table.table-bordered.dataTable tbody th, table.table-bordered.dataTable ,tbody ,td ,label ,span ,option ,a{
    border-bottom-width: 0;
    font-weight:600;
    font-family:poppins,sans-serif;

}
.app-header{
    overflow: inherit !important;
}




.nav-pills > li > a {
    border-radius: 0;
}

#wrapper {
    padding-left: 0;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    overflow: hidden;
}

#wrapper.toggled {
    padding-left: 250px;
    overflow: hidden;
}

#sidebar-wrapper {
    z-index: 1000;
    position: absolute;
    left: 250px;
    width: 0;
    height: 100%;
    margin-left: -250px;
    overflow-y: auto;
    background: #000;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#wrapper.toggled #sidebar-wrapper {
    width: 250px;
}

#page-content-wrapper {
    position: absolute;
    padding: 15px;
    width: 100%;
    overflow-x: hidden;
}

.xyz {
    min-width: 360px;
}

#wrapper.toggled #page-content-wrapper {
    position: relative;
    margin-right: 0px;
}

.fixed-brand {
    width: auto;
}
/* Sidebar Styles */

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
    margin-top: 2px;
}

.sidebar-nav li {
    text-indent: 15px;
    line-height: 40px;
}

.sidebar-nav li a {
    display: block;
    text-decoration: none;
    color: #999999;
}

.sidebar-nav li a:hover {
    text-decoration: none;
    color: #fff;
    background: rgba(255, 255, 255, 0.2);
    border-left: red 2px solid;
}

.sidebar-nav li a:active,
.sidebar-nav li a:focus {
    text-decoration: none;
}

.sidebar-nav > .sidebar-brand {
    height: 65px;
    font-size: 18px;
    line-height: 60px;
}

.sidebar-nav > .sidebar-brand a {
    color: #999999;
}

.sidebar-nav > .sidebar-brand a:hover {
    color: #fff;
    background: none;
}

.no-margin {
    margin: 0;
}


/* responsive Project */

.card-body {
    overflow: auto !important;
}


@media only screen and (max-width: 600px) {
    #awfarCalling{
        width: fit-content !important;
    }

    .callHead h3 {
        font-size: larger !important;
        display: inline-flex !important;

    }
  }




@media (min-width: 768px) {
    #wrapper {
        padding-left: 250px;
    }
    .fixed-brand {
        width: 250px;
    }
    #wrapper.toggled {
        padding-left: 0;
    }
    #sidebar-wrapper {
        width: 250px;
    }
    #wrapper.toggled #sidebar-wrapper {
        width: 250px;
    }
    #wrapper.toggled-2 #sidebar-wrapper {
        width: 50px;
    }
    #wrapper.toggled-2 #sidebar-wrapper:hover {
        width: 250px;
    }
    #page-content-wrapper {
        padding: 20px;
        position: relative;
        -webkit-transition: all 0.5s ease;
        -moz-transition: all 0.5s ease;
        -o-transition: all 0.5s ease;
        transition: all 0.5s ease;
    }
    #wrapper.toggled #page-content-wrapper {
        position: relative;
        margin-right: 0;
        padding-left: 250px;
    }
    #wrapper.toggled-2 #page-content-wrapper {
        position: relative;
        margin-right: 0;
        margin-left: -200px;
        -webkit-transition: all 0.5s ease;
        -moz-transition: all 0.5s ease;
        -o-transition: all 0.5s ease;
        transition: all 0.5s ease;
        width: auto;
    }

    div.dataTables_wrapper div.dataTables_paginate ul.pagination {

    }
}

.slimscroll ul{
    list-style: none;
}

.navMenu{
    padding-left: 0;
}

.sidebar .nav-dropdown.open>.nav-dropdown-items {
    max-height: 1500px;
    background: #46484a;
}

.sidebar .nav-link:hover {
    color: #fff;
    background: #7a6300;
}

.main .container-fluid {
    padding: 0px 0px !important;
}

@media screen and (max-width: 767px){
    div.dataTables_wrapper div.dataTables_length, div.dataTables_wrapper div.dataTables_filter, div.dataTables_wrapper div.dataTables_info, div.dataTables_wrapper div.dataTables_paginate {
        display: flex !important;
    }
    .card {
        position: inherit;
    }
}

